REST: nothing triggers rest
[oweals/gnunet.git] / src / gns / test_gns_ipv6_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16 MY_EGO="myego"
17
18 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
19 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
20 TEST_IP="dead::beef"
21 gnunet-arm -s -c test_gns_lookup.conf
22 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
23 gnunet-namestore -p -z $MY_EGO -a -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
24 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.$MY_EGO -t AAAA -c test_gns_lookup.conf`
25 gnunet-namestore -z $MY_EGO -d -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
26 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
27 gnunet-arm -e -c test_gns_lookup.conf
28 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
29
30 if [ "$RES_IP" = "$TEST_IP" ]
31 then
32   exit 0
33 else
34   echo "Failed to resolve to proper IP, got $RES_IP."
35   exit 1
36 fi